- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Friends

# QScriptContextInfo Class Reference

Search for all occurrences

## Detailed Description

Definition at line 45 of file qscriptcontextinfo.h.

`#include <qscriptcontextinfo.h>`

List of all members.

## Public Types
enum | FunctionType { ScriptFunction, QtFunction, QtPropertyFunction, NativeFunction }
## Public Member Functions
| QScriptContextInfo (const QScriptContext *context)
| QScriptContextInfo (const QScriptContextInfo &other)
| QScriptContextInfo ()
| ~QScriptContextInfo ()
QScriptContextInfo & | operator= (const QScriptContextInfo &other)
bool | isNull () const
qint64 | scriptId () const
QString | fileName () const
int | lineNumber () const
QString | functionName () const
FunctionType | functionType () const
QStringList | functionParameterNames () const
int | functionStartLineNumber () const
int | functionEndLineNumber () const
int | functionMetaIndex () const
bool | operator== (const QScriptContextInfo &other) const
bool | operator!= (const QScriptContextInfo &other) const
## Friends
Q_SCRIPT_EXPORT QDataStream & | operator<< (QDataStream &, const QScriptContextInfo &)
Q_SCRIPT_EXPORT QDataStream & | operator>> (QDataStream &, QScriptContextInfo &)

## Member Enumeration Documentation

enum FunctionType

Search for all occurrences

Enumerator:

  ScriptFunction | Search for all occurrences
  QtFunction | Search for all occurrences
  QtPropertyFunction | Search for all occurrences
  NativeFunction | Search for all occurrences

Definition at line 53 of file qscriptcontextinfo.h.

                          {
            ScriptFunction,
            QtFunction,
            QtPropertyFunction,
            NativeFunction
        };

## Constructor & Destructor Documentation

QScriptContextInfo | ( | const QScriptContext * | context | ) |

QScriptContextInfo | ( | const QScriptContextInfo & | other | ) |

QScriptContextInfo | ( |  | ) |

~QScriptContextInfo | ( |  | ) |

## Member Function Documentation

QScriptContextInfo& operator= | ( | const QScriptContextInfo & | other | ) |

bool isNull | ( |  | ) | const

Search for all occurrences

qint64 scriptId | ( |  | ) | const

Search for all occurrences

QString fileName | ( |  | ) | const

Search for all occurrences

int lineNumber | ( |  | ) | const

Search for all occurrences

QString functionName | ( |  | ) | const

Search for all occurrences

FunctionType functionType | ( |  | ) | const

Search for all occurrences

QStringList functionParameterNames | ( |  | ) | const

Search for all occurrences

int functionStartLineNumber | ( |  | ) | const

Search for all occurrences

int functionEndLineNumber | ( |  | ) | const

Search for all occurrences

int functionMetaIndex | ( |  | ) | const

Search for all occurrences

bool operator== | ( | const QScriptContextInfo & | other | ) | const

bool operator!= | ( | const QScriptContextInfo & | other | ) | const

## Friends And Related Function Documentation

Q_SCRIPT_EXPORT QDataStream& operator<< | ( | QDataStream & | ,
|  | const QScriptContextInfo & |
| ) |  | `[friend]`

Q_SCRIPT_EXPORT QDataStream& operator>> | ( | QDataStream & | ,
|  | QScriptContextInfo & |
| ) |  | `[friend]`

The documentation for this class was generated from the following file:

- QtScript/qscriptcontextinfo.h

QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo
QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo QScriptContextInfo